<div class="container">
  <form [formGroup]="photoForm" class="row" (submit)="upload()">
    <div class="col-md-6 text-center">
      <div class="form-group" *ngIf="!preview; else previewImage">
        <button immediateClick type="button" (click)="fileInput.click()" class="btn btn-primary">
          <i class="fa fa-image fa-4x align-middle"></i>
        </button>
        <input
          #fileInput
          hidden
          formControlName="file"
          type="file" accept="image/*"
          (change)="handleFile(file = $event.target.files[0])"
        ><ap-vmessage
          text="Please, select a foto"
          *ngIf="photoForm.get('file').errors?.required"
        ></ap-vmessage>
      </div>
      <ng-template #previewImage>
        <div class="text-center">
          <ap-photo [url]="preview" title="Preview"></ap-photo>
        </div>
      </ng-template>
    </div>


    <div class="col-md-6">
      <div class="form-group">
        <textarea
          formControlName="description"
          class="form-control form-control-sm"
          placeholder="photo description"
        ></textarea>
        <ap-vmessage
          text="Maximum size allowed is 300"
          *ngIf="photoForm.get('description').errors?.maxlength"
        ></ap-vmessage>
      </div>

      <div class="form-group">
        <label class="text-muted">Allow comments
          <input formControlName="allowComments" type="checkbox">
        </label>
      </div>

      <div *ngIf="!percentDone; else percent">
        <button
          [disabled]="photoForm.invalid"
          type="submit" class="btn btn-primary btn-block"
        >Upload</button>

        <a [routerLink]="['']" class="btn btn-secondary btn-block">Cancel</a>
      </div>

      <ng-template #percent>
        <div class="text-center display-4">
          uploading {{ percentDone}}%
        </div>
      </ng-template>
    </div>
  </form>
</div>
